import os

from constants import ACTIVITY, MNT_POINT
from utils.create_tables import create_tables
from utils.create_views import create_views
from utils.decode_fit_file import decode_fit_file
from utils.parsers import parse_activity_summary

if __name__ == "__main__":
    is_mounted = os.path.isdir(MNT_POINT)
    if is_mounted:
        print(f"INFO Garmin device is mounted at {MNT_POINT}")
        create_tables()
        create_views()
        with os.scandir(ACTIVITY) as entries:
            files = [
                entry.path
                for entry in entries
                if entry.is_file() and entry.name.endswith("fit")
            ]
            for index, file in enumerate(files):
                decoded = decode_fit_file(file)
                decoded_dict = decoded[0]
                activity_summary = parse_activity_summary(decoded_dict)
                # print(activity_summary)
    else:
        print(f"ERROR No Garmin device mounted")
