from services.database_connection import DatabaseConnection
from services.table_service import TableService
from sql.create_tables import CREATE_ACTIVITY_TABLE, CREATE_RUN_POINTS_TABLE


def create_tables():
    with DatabaseConnection() as connection:
        table_service = TableService(connection)

        print("INFO Creating `activity` table if not exists:")
        print(CREATE_ACTIVITY_TABLE)
        table_service.create_table(
            CREATE_ACTIVITY_TABLE, "Problem creating `activity` table"
        )

        print("INFO Creating `run_points` table if not exists:")
        print(CREATE_RUN_POINTS_TABLE)
        table_service.create_table(
            CREATE_RUN_POINTS_TABLE, "Problem creating `run_points` table"
        )
