from models.models import IActivitySummary


def parse_activity_summary(activity) -> IActivitySummary:
    summary_tuple = activity["session_mesgs"]
    summary_dict = summary_tuple[0]
    garmin_ts = summary_dict["timestamp"]
    unix_ts = int(garmin_ts.timestamp())
    readable_date = garmin_ts.strftime("%a %d %B %Y")
    readable_time = garmin_ts.strftime("%H:%M")
    return {
        "activity": summary_dict.get("sport_profile_name", ""),
        "timestamp": unix_ts,
        "date": readable_date,
        "time": readable_time,
        "duration": round(summary_dict.get("total_elapsed_time", 0) / 60, 2),
        "total_distance": round(summary_dict.get("total_distance", 0) / 1000, 2),
        "avg_heart_rate": summary_dict.get("avg_heart_rate", ""),
        "max_heart_rate": summary_dict.get("max_heart_rate", ""),
        "calories_burned": summary_dict.get("total_calories", ""),
    }
